      subroutine zetabc_tile(Istr,Iend,Jstr,Jend)
      use Agrif_Types, only : Agrif_tabvars

      use AGRIF_Util

#include "Param_BeforeCall_zetabc_tile.h"
      integer(4) :: Istr
      integer(4) :: Iend
      integer(4) :: Jstr
      integer(4) :: Jend

                     
                                    
      if (AGRIF_Root()) then
        call zetabc_parent_tile(Istr,Iend,Jstr,Jend)
      else
        call zetabc_child_tile(Istr,Iend,Jstr,Jend)
      endif
      return
      end
      subroutine zetabc_parent_tile(Istr,Iend,Jstr,Jend)      


      use Agrif_Util
#include "Param_BeforeCall_zetabc_parent_tile.h"
      integer(4) :: Istr
      integer(4) :: Iend
      integer(4) :: Jstr
      integer(4) :: Jend
      

        call Sub_Loop_zetabc_parent_tile(Istr,Iend,Jstr,Jend, Agrif_tabv
     &ars_i(14)%iarray0, Agrif_tabvars_i(4)%iarray0, Agrif_tabvars_i(13)
     &%iarray0, Agrif_tabvars_i(2)%iarray0, Agrif_tabvars(116)%array2, A
     &grif_tabvars(94)%array2, Agrif_tabvars_i(150)%iarray0, Agrif_tabva
     &rs_i(148)%iarray0, Agrif_tabvars(88)%array3, Agrif_tabvars(128)%ar
     &ray2, Agrif_tabvars(117)%array2, Agrif_tabvars_r(4)%array0, Agrif_
     &tabvars_l(13)%larray0, Agrif_tabvars_l(14)%larray0, Agrif_tabvars_
     &l(11)%larray0, Agrif_tabvars_l(12)%larray0, Agrif_tabvars_i(8)%iar
     &ray0, Agrif_tabvars_i(7)%iarray0, Agrif_tabvars_i(17)%iarray0, Agr
     &if_tabvars_i(16)%iarray0, Agrif_tabvars_i(15)%iarray0)

      end


#include "Sub_Loop_zetabc_parent_tile.h"
      subroutine zetabc_child_tile(Istr,Iend,Jstr,Jend)      


      use Agrif_Util
#include "Param_BeforeCall_zetabc_child_tile.h"
      integer(4) :: Istr
      integer(4) :: Iend
      integer(4) :: Jstr
      integer(4) :: Jend
      

        call Sub_Loop_zetabc_child_tile(Istr,Iend,Jstr,Jend, Agrif_tabva
     &rs_i(14)%iarray0, Agrif_tabvars_i(4)%iarray0, Agrif_tabvars_i(13)%
     &iarray0, Agrif_tabvars_i(2)%iarray0, Agrif_tabvars(187)%array1, Ag
     &rif_tabvars(199)%array1, Agrif_tabvars(211)%array1, Agrif_tabvars(
     &94)%array2, Agrif_tabvars(223)%array1, Agrif_tabvars_i(150)%iarray
     &0, Agrif_tabvars(88)%array3, Agrif_tabvars(39)%array2, Agrif_tabva
     &rs(38)%array2, Agrif_tabvars_l(13)%larray0, Agrif_tabvars_l(14)%la
     &rray0, Agrif_tabvars_l(11)%larray0, Agrif_tabvars_l(12)%larray0, A
     &grif_tabvars_i(8)%iarray0, Agrif_tabvars_i(7)%iarray0, Agrif_tabva
     &rs_i(17)%iarray0, Agrif_tabvars_i(16)%iarray0, Agrif_tabvars_i(15)
     &%iarray0)

      end


#include "Sub_Loop_zetabc_child_tile.h"
